Summary: FLTK, A Fast Light Toolkit
Name: fltk
Version: 1.3.4
Release: 10.13%{?dist}2a
Source0: localhost:/%{name}-%{version}-2-source.tar.bz2
Source1: localhost:/%{name}-%{version}-docs-html.tar.gz
Source2: localhost:/%{name}-%{version}-docs-pdf.tar.gz
URL: http://www.fltk.org/index.php
Group: Development/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-root

%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit for UNIX®/Linux® (X11), Microsoft® Windows®, and MacOS® X. FLTK provides modern GUI functionality without the bloat and supports 3D graphics via OpenGL® and its built-in GLUT emulation.

FLTK is designed to be small and modular enough to be statically linked, but works fine as a shared library. FLTK also includes an excellent UI builder called FLUID that can be used to create applications in minutes.

FLTK is provided under the terms of the GNU Library Public License, Version 2 with exceptions that allow for static linking.

%prep
%setup -n %{name}-%{version}-2

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

%build
export CXX=clang++
./configure --prefix=%{_prefix} --enable-shared --docdir=%{_prefix}/share/doc/%{name}-%{version}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
tar -zxvf %{SOURCE1}
tar -zxvf %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* documentation/*
%defattr(-,root,wheel)
%{_prefix}/bin/*
%{_prefix}/include/*
%{_prefix}/lib/*
%{_prefix}/share/man/*/*

%changelog
* Wed Apr 04 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.4-10.13hepx2a
- 1st release on MacOS X 10.13 for x86_64.
- compiled with clang++ and without X11

* Sun Jan 8 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 1.3.4-10.12hepx1a
- 1st release on MacOS X 10.12 for x86_64.
